#!/bin/sh

# use -usage parameter to know the syntax of this command

# XDI_RUNTIME_HOME=/home/sdi/sdi

if [ "$XDI_RUNTIME_HOME" = "" ]; then
        XDI_RUNTIME_HOME=.
        export XDI_RUNTIME_HOME
fi

. $XDI_RUNTIME_HOME/initvariables.sh
if [ "$STAMBIA_JAVA_HOME" = "" ]; then
        if [ "$JAVA_HOME" = "" ]; then
	        java  -Xms$XDI_RUNTIME_INIT_MEMORY -Xmx$XDI_RUNTIME_MAX_MEMORY -Xss$XDI_RUNTIME_STACK_SIZE $XDI_RUNTIME_SYSTEM_CLASSLOADER -Dstambia.classpath.v1.root="$XDI_RUNTIME_CLASSPATH_FOLDER1" -classpath "$XDI_RUNTIME_CLASSPATH" org.mozilla.javascript.tools.shell.Main "$@"
        else
                "$JAVA_HOME/bin/java"  -Xms$XDI_RUNTIME_INIT_MEMORY -Xmx$XDI_RUNTIME_MAX_MEMORY -Xss$XDI_RUNTIME_STACK_SIZE $XDI_RUNTIME_SYSTEM_CLASSLOADER -Dstambia.classpath.v1.root="$XDI_RUNTIME_CLASSPATH_FOLDER1" -classpath "$XDI_RUNTIME_CLASSPATH" org.mozilla.javascript.tools.shell.Main "$@"
        fi
else
	"$STAMBIA_JAVA_HOME/bin/java"  -Xms$XDI_RUNTIME_INIT_MEMORY -Xmx$XDI_RUNTIME_MAX_MEMORY -Xss$XDI_RUNTIME_STACK_SIZE $XDI_RUNTIME_SYSTEM_CLASSLOADER -Dstambia.classpath.v1.root="$XDI_RUNTIME_CLASSPATH_FOLDER1" -classpath "$XDI_RUNTIME_CLASSPATH" org.mozilla.javascript.tools.shell.Main "$@"
fi

